<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.view.dashboard.DashboardToCollectView" 
           table="DASHBOARD_TO_COLLECT_VIEW" 
           catalog="crov_spa" mutable="false">
        <id name="idTaxi" type="string">
            <column name="id_vehicle" length="36" />
        </id>
        <property name="economicNumber" type="string">
            <column name="economic_number" length="12"/>
        </property>
        <property name="modelVehicle" type="string">
            <column name="vehicle_type" length="200"/>
        </property>
        <property name="idDriver" type="string">
            <column name="id_driver" length="36"/>
        </property>
        <property name="driverName" type="string">
            <column name="driver_name" length="103"/>
        </property>
        <property name="platform" column="app_platform">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.PlatformType</param>
                <param name="useNamed">true</param>
            </type>
        </property>  
        <property name="payDay" type="double">
            <column name="pay_day"/>
        </property>
        <property name="paySaving" type="double">
            <column name="pay_saving"/>
        </property>
        <property name="payAccident" type="double">
            <column name="pay_accident"/>
        </property>
        <property name="totalToPay" type="double">
            <column name="total_to_pay"/>
        </property>
        <property name="amountPaid" type="double">
            <column name="amount_paid"/>
        </property>
        <property name="totalAdeudo" type="float">
            <column name="total_adeudo"/>
        </property>
        <property name="styleClass" type="string">
            <column name="style_class" length="18"/>
        </property>
        <property name="idLocation" type="string">
            <column name="id_location" length="36"/>
        </property>
    </class>
</hibernate-mapping>